Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2879 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Nov 17, 2004, 11:09:14 AM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: fix for configure.ac checks one header before checking system headers. Now works better.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r2819 r2879  
    33233323
    33243324
    3325 # checking gl header (has to be here because of a Linux error)
     3325
    33263326
    33273327ac_ext=c
     
    38133813
    38143814
    3815 
    3816 for ac_header in GL/gl.h
     3815for ac_header in
    38173816do
    38183817as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    39593958_ACEOF
    39603959
    3961 else
    3962   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    3963 echo "$as_me: error: cannot find opengl headers" >&2;}
    3964    { (exit 1); exit 1; }; }
    39653960fi
    39663961
     
    39863981        #done before loop
    39873982
    3988 #   checking for Windows openGl library
    3989     echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
    3990 echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
    3991 if test "${ac_cv_lib_opengl32_main+set}" = set; then
    3992   echo $ECHO_N "(cached) $ECHO_C" >&6
    3993 else
    3994   ac_check_lib_save_LIBS=$LIBS
    3995 LIBS="-lopengl32  $LIBS"
    3996 cat >conftest.$ac_ext <<_ACEOF
    3997 /* confdefs.h.  */
    3998 _ACEOF
    3999 cat confdefs.h >>conftest.$ac_ext
    4000 cat >>conftest.$ac_ext <<_ACEOF
    4001 /* end confdefs.h.  */
    4002 
    4003 
    4004 int
    4005 main ()
    4006 {
    4007 main ();
    4008   ;
    4009   return 0;
    4010 }
    4011 _ACEOF
    4012 rm -f conftest.$ac_objext conftest$ac_exeext
    4013 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4014   (eval $ac_link) 2>conftest.er1
    4015   ac_status=$?
    4016   grep -v '^ *+' conftest.er1 >conftest.err
    4017   rm -f conftest.er1
    4018   cat conftest.err >&5
    4019   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4020   (exit $ac_status); } &&
    4021          { ac_try='test -z "$ac_c_werror_flag"
    4022                          || test ! -s conftest.err'
    4023   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4024   (eval $ac_try) 2>&5
    4025   ac_status=$?
    4026   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4027   (exit $ac_status); }; } &&
    4028          { ac_try='test -s conftest$ac_exeext'
    4029   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4030   (eval $ac_try) 2>&5
    4031   ac_status=$?
    4032   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4033   (exit $ac_status); }; }; then
    4034   ac_cv_lib_opengl32_main=yes
    4035 else
    4036   echo "$as_me: failed program was:" >&5
    4037 sed 's/^/| /' conftest.$ac_ext >&5
    4038 
    4039 ac_cv_lib_opengl32_main=no
    4040 fi
    4041 rm -f conftest.err conftest.$ac_objext \
    4042       conftest$ac_exeext conftest.$ac_ext
    4043 LIBS=$ac_check_lib_save_LIBS
    4044 fi
    4045 echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
    4046 echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
    4047 if test $ac_cv_lib_opengl32_main = yes; then
    4048   FOUND_opengl32=yes
    4049 else
    4050   "gl/gl.h"
    4051 fi
    4052 
    4053     if test "$FOUND_opengl32" = "yes" ; then
    4054         LIBS="$LIBS -lopengl32"
    4055     else
    4056          echo "------------------"
    4057          echo "opengl not found."
    4058          echo "please install the opengl package which can be found at http://www.opengl.org"
    4059          echo "------------------"
    4060          exit -1
    4061     fi
    4062 
    4063 # cheking for GLU-header
    4064 
    4065 for ac_header in GL/glu.h
     3983# checking gl header (has to be here because of a Linux error)
     3984
     3985for ac_header in GL/gl.h
    40663986do
    40673987as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    42164136done
    42174137
    4218 
    4219 # checking for libGLU
    4220     echo "$as_me:$LINENO: checking for main in -lglu32" >&5
    4221 echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
    4222 if test "${ac_cv_lib_glu32_main+set}" = set; then
     4138#   checking for Windows openGl library
     4139    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
     4140echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
     4141if test "${ac_cv_lib_opengl32_main+set}" = set; then
    42234142  echo $ECHO_N "(cached) $ECHO_C" >&6
    42244143else
    42254144  ac_check_lib_save_LIBS=$LIBS
    4226 LIBS="-lglu32  $LIBS"
     4145LIBS="-lopengl32  $LIBS"
    42274146cat >conftest.$ac_ext <<_ACEOF
    42284147/* confdefs.h.  */
     
    42634182  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    42644183  (exit $ac_status); }; }; then
    4265   ac_cv_lib_glu32_main=yes
     4184  ac_cv_lib_opengl32_main=yes
    42664185else
    42674186  echo "$as_me: failed program was:" >&5
    42684187sed 's/^/| /' conftest.$ac_ext >&5
    42694188
    4270 ac_cv_lib_glu32_main=no
     4189ac_cv_lib_opengl32_main=no
    42714190fi
    42724191rm -f conftest.err conftest.$ac_objext \
     
    42744193LIBS=$ac_check_lib_save_LIBS
    42754194fi
    4276 echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
    4277 echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
    4278 if test $ac_cv_lib_glu32_main = yes; then
    4279   FOUND_glu32=yes
    4280 fi
    4281 
    4282     if test "$FOUND_glu32" = "yes" ; then
    4283         LIBS="$LIBS -lGLU32"
     4195echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
     4196echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
     4197if test $ac_cv_lib_opengl32_main = yes; then
     4198  FOUND_opengl32=yes
     4199else
     4200  "gl/gl.h"
     4201fi
     4202
     4203    if test "$FOUND_opengl32" = "yes" ; then
     4204        LIBS="$LIBS -lopengl32"
    42844205    else
    42854206         echo "------------------"
    4286          echo "GLU library not found."
    4287          echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     4207         echo "opengl not found."
     4208         echo "please install the opengl package which can be found at http://www.opengl.org"
    42884209         echo "------------------"
    42894210         exit -1
    42904211    fi
    42914212
    4292 
    4293 # checking for mingw32
    4294     echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
    4295 echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
    4296 if test "${ac_cv_lib_mingw32_main+set}" = set; then
    4297   echo $ECHO_N "(cached) $ECHO_C" >&6
    4298 else
    4299   ac_check_lib_save_LIBS=$LIBS
    4300 LIBS="-lmingw32  $LIBS"
    4301 cat >conftest.$ac_ext <<_ACEOF
    4302 /* confdefs.h.  */
    4303 _ACEOF
    4304 cat confdefs.h >>conftest.$ac_ext
    4305 cat >>conftest.$ac_ext <<_ACEOF
    4306 /* end confdefs.h.  */
    4307 
    4308 
    4309 int
    4310 main ()
    4311 {
    4312 main ();
    4313   ;
    4314   return 0;
    4315 }
    4316 _ACEOF
    4317 rm -f conftest.$ac_objext conftest$ac_exeext
    4318 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4319   (eval $ac_link) 2>conftest.er1
    4320   ac_status=$?
    4321   grep -v '^ *+' conftest.er1 >conftest.err
    4322   rm -f conftest.er1
    4323   cat conftest.err >&5
    4324   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4325   (exit $ac_status); } &&
    4326          { ac_try='test -z "$ac_c_werror_flag"
    4327                          || test ! -s conftest.err'
    4328   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4329   (eval $ac_try) 2>&5
    4330   ac_status=$?
    4331   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4332   (exit $ac_status); }; } &&
    4333          { ac_try='test -s conftest$ac_exeext'
    4334   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4335   (eval $ac_try) 2>&5
    4336   ac_status=$?
    4337   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4338   (exit $ac_status); }; }; then
    4339   ac_cv_lib_mingw32_main=yes
    4340 else
    4341   echo "$as_me: failed program was:" >&5
    4342 sed 's/^/| /' conftest.$ac_ext >&5
    4343 
    4344 ac_cv_lib_mingw32_main=no
    4345 fi
    4346 rm -f conftest.err conftest.$ac_objext \
    4347       conftest$ac_exeext conftest.$ac_ext
    4348 LIBS=$ac_check_lib_save_LIBS
    4349 fi
    4350 echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
    4351 echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
    4352 if test $ac_cv_lib_mingw32_main = yes; then
    4353   FOUND_mingw32=yes
    4354 fi
    4355 
    4356     if test $FOUND_mingw32 = "yes"; then
    4357         LIBS="$LIBS -lmingw32"
    4358     fi
    4359 # checking for SDL-headers
    4360 
    4361 for ac_header in SDL/SDL.h
     4213# cheking for GLU-header
     4214
     4215for ac_header in GL/glu.h
    43624216do
    43634217as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    45054359
    45064360else
     4361  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     4362echo "$as_me: error: cannot find opengl headers" >&2;}
     4363   { (exit 1); exit 1; }; }
     4364fi
     4365
     4366done
     4367
     4368
     4369# checking for libGLU
     4370    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
     4371echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
     4372if test "${ac_cv_lib_glu32_main+set}" = set; then
     4373  echo $ECHO_N "(cached) $ECHO_C" >&6
     4374else
     4375  ac_check_lib_save_LIBS=$LIBS
     4376LIBS="-lglu32  $LIBS"
     4377cat >conftest.$ac_ext <<_ACEOF
     4378/* confdefs.h.  */
     4379_ACEOF
     4380cat confdefs.h >>conftest.$ac_ext
     4381cat >>conftest.$ac_ext <<_ACEOF
     4382/* end confdefs.h.  */
     4383
     4384
     4385int
     4386main ()
     4387{
     4388main ();
     4389  ;
     4390  return 0;
     4391}
     4392_ACEOF
     4393rm -f conftest.$ac_objext conftest$ac_exeext
     4394if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4395  (eval $ac_link) 2>conftest.er1
     4396  ac_status=$?
     4397  grep -v '^ *+' conftest.er1 >conftest.err
     4398  rm -f conftest.er1
     4399  cat conftest.err >&5
     4400  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4401  (exit $ac_status); } &&
     4402         { ac_try='test -z "$ac_c_werror_flag"
     4403                         || test ! -s conftest.err'
     4404  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4405  (eval $ac_try) 2>&5
     4406  ac_status=$?
     4407  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4408  (exit $ac_status); }; } &&
     4409         { ac_try='test -s conftest$ac_exeext'
     4410  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4411  (eval $ac_try) 2>&5
     4412  ac_status=$?
     4413  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4414  (exit $ac_status); }; }; then
     4415  ac_cv_lib_glu32_main=yes
     4416else
     4417  echo "$as_me: failed program was:" >&5
     4418sed 's/^/| /' conftest.$ac_ext >&5
     4419
     4420ac_cv_lib_glu32_main=no
     4421fi
     4422rm -f conftest.err conftest.$ac_objext \
     4423      conftest$ac_exeext conftest.$ac_ext
     4424LIBS=$ac_check_lib_save_LIBS
     4425fi
     4426echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
     4427echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
     4428if test $ac_cv_lib_glu32_main = yes; then
     4429  FOUND_glu32=yes
     4430fi
     4431
     4432    if test "$FOUND_glu32" = "yes" ; then
     4433        LIBS="$LIBS -lGLU32"
     4434    else
     4435         echo "------------------"
     4436         echo "GLU library not found."
     4437         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     4438         echo "------------------"
     4439         exit -1
     4440    fi
     4441
     4442
     4443# checking for mingw32
     4444    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
     4445echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
     4446if test "${ac_cv_lib_mingw32_main+set}" = set; then
     4447  echo $ECHO_N "(cached) $ECHO_C" >&6
     4448else
     4449  ac_check_lib_save_LIBS=$LIBS
     4450LIBS="-lmingw32  $LIBS"
     4451cat >conftest.$ac_ext <<_ACEOF
     4452/* confdefs.h.  */
     4453_ACEOF
     4454cat confdefs.h >>conftest.$ac_ext
     4455cat >>conftest.$ac_ext <<_ACEOF
     4456/* end confdefs.h.  */
     4457
     4458
     4459int
     4460main ()
     4461{
     4462main ();
     4463  ;
     4464  return 0;
     4465}
     4466_ACEOF
     4467rm -f conftest.$ac_objext conftest$ac_exeext
     4468if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4469  (eval $ac_link) 2>conftest.er1
     4470  ac_status=$?
     4471  grep -v '^ *+' conftest.er1 >conftest.err
     4472  rm -f conftest.er1
     4473  cat conftest.err >&5
     4474  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4475  (exit $ac_status); } &&
     4476         { ac_try='test -z "$ac_c_werror_flag"
     4477                         || test ! -s conftest.err'
     4478  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4479  (eval $ac_try) 2>&5
     4480  ac_status=$?
     4481  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4482  (exit $ac_status); }; } &&
     4483         { ac_try='test -s conftest$ac_exeext'
     4484  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4485  (eval $ac_try) 2>&5
     4486  ac_status=$?
     4487  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4488  (exit $ac_status); }; }; then
     4489  ac_cv_lib_mingw32_main=yes
     4490else
     4491  echo "$as_me: failed program was:" >&5
     4492sed 's/^/| /' conftest.$ac_ext >&5
     4493
     4494ac_cv_lib_mingw32_main=no
     4495fi
     4496rm -f conftest.err conftest.$ac_objext \
     4497      conftest$ac_exeext conftest.$ac_ext
     4498LIBS=$ac_check_lib_save_LIBS
     4499fi
     4500echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
     4501echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
     4502if test $ac_cv_lib_mingw32_main = yes; then
     4503  FOUND_mingw32=yes
     4504fi
     4505
     4506    if test $FOUND_mingw32 = "yes"; then
     4507        LIBS="$LIBS -lmingw32"
     4508    fi
     4509# checking for SDL-headers
     4510
     4511for ac_header in SDL/SDL.h
     4512do
     4513as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4514if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4515  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4516echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4517if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4518  echo $ECHO_N "(cached) $ECHO_C" >&6
     4519fi
     4520echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4521echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4522else
     4523  # Is the header compilable?
     4524echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4525echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4526cat >conftest.$ac_ext <<_ACEOF
     4527/* confdefs.h.  */
     4528_ACEOF
     4529cat confdefs.h >>conftest.$ac_ext
     4530cat >>conftest.$ac_ext <<_ACEOF
     4531/* end confdefs.h.  */
     4532$ac_includes_default
     4533#include <$ac_header>
     4534_ACEOF
     4535rm -f conftest.$ac_objext
     4536if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4537  (eval $ac_compile) 2>conftest.er1
     4538  ac_status=$?
     4539  grep -v '^ *+' conftest.er1 >conftest.err
     4540  rm -f conftest.er1
     4541  cat conftest.err >&5
     4542  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4543  (exit $ac_status); } &&
     4544         { ac_try='test -z "$ac_c_werror_flag"
     4545                         || test ! -s conftest.err'
     4546  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4547  (eval $ac_try) 2>&5
     4548  ac_status=$?
     4549  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4550  (exit $ac_status); }; } &&
     4551         { ac_try='test -s conftest.$ac_objext'
     4552  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4553  (eval $ac_try) 2>&5
     4554  ac_status=$?
     4555  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4556  (exit $ac_status); }; }; then
     4557  ac_header_compiler=yes
     4558else
     4559  echo "$as_me: failed program was:" >&5
     4560sed 's/^/| /' conftest.$ac_ext >&5
     4561
     4562ac_header_compiler=no
     4563fi
     4564rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4565echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4566echo "${ECHO_T}$ac_header_compiler" >&6
     4567
     4568# Is the header present?
     4569echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4570echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4571cat >conftest.$ac_ext <<_ACEOF
     4572/* confdefs.h.  */
     4573_ACEOF
     4574cat confdefs.h >>conftest.$ac_ext
     4575cat >>conftest.$ac_ext <<_ACEOF
     4576/* end confdefs.h.  */
     4577#include <$ac_header>
     4578_ACEOF
     4579if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4580  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4581  ac_status=$?
     4582  grep -v '^ *+' conftest.er1 >conftest.err
     4583  rm -f conftest.er1
     4584  cat conftest.err >&5
     4585  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4586  (exit $ac_status); } >/dev/null; then
     4587  if test -s conftest.err; then
     4588    ac_cpp_err=$ac_c_preproc_warn_flag
     4589    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4590  else
     4591    ac_cpp_err=
     4592  fi
     4593else
     4594  ac_cpp_err=yes
     4595fi
     4596if test -z "$ac_cpp_err"; then
     4597  ac_header_preproc=yes
     4598else
     4599  echo "$as_me: failed program was:" >&5
     4600sed 's/^/| /' conftest.$ac_ext >&5
     4601
     4602  ac_header_preproc=no
     4603fi
     4604rm -f conftest.err conftest.$ac_ext
     4605echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     4606echo "${ECHO_T}$ac_header_preproc" >&6
     4607
     4608# So?  What about this header?
     4609case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     4610  yes:no: )
     4611    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     4612echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     4613    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     4614echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     4615    ac_header_preproc=yes
     4616    ;;
     4617  no:yes:* )
     4618    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     4619echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     4620    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     4621echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     4622    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     4623echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     4624    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     4625echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     4626    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     4627echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     4628    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     4629echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     4630    (
     4631      cat <<\_ASBOX
     4632## ------------------------------------------- ##
     4633## Report this to orxonox-dev@mail.datacore.ch ##
     4634## ------------------------------------------- ##
     4635_ASBOX
     4636    ) |
     4637      sed "s/^/$as_me: WARNING:     /" >&2
     4638    ;;
     4639esac
     4640echo "$as_me:$LINENO: checking for $ac_header" >&5
     4641echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4642if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4643  echo $ECHO_N "(cached) $ECHO_C" >&6
     4644else
     4645  eval "$as_ac_Header=\$ac_header_preproc"
     4646fi
     4647echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4648echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4649
     4650fi
     4651if test `eval echo '${'$as_ac_Header'}'` = yes; then
     4652  cat >>confdefs.h <<_ACEOF
     4653#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     4654_ACEOF
     4655
     4656else
    45074657  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
    45084658echo "$as_me: error: cannot find SDL headers" >&2;}
     
    46654815 Linux="yes"
    46664816
    4667 # checking gl header
    4668         #has been done befor linux-check
     4817# checking gl header (has to be here because of a Linux error)
     4818
     4819for ac_header in GL/gl.h
     4820do
     4821as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4822if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4823  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4824echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4825if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4826  echo $ECHO_N "(cached) $ECHO_C" >&6
     4827fi
     4828echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4829echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4830else
     4831  # Is the header compilable?
     4832echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4833echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4834cat >conftest.$ac_ext <<_ACEOF
     4835/* confdefs.h.  */
     4836_ACEOF
     4837cat confdefs.h >>conftest.$ac_ext
     4838cat >>conftest.$ac_ext <<_ACEOF
     4839/* end confdefs.h.  */
     4840$ac_includes_default
     4841#include <$ac_header>
     4842_ACEOF
     4843rm -f conftest.$ac_objext
     4844if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4845  (eval $ac_compile) 2>conftest.er1
     4846  ac_status=$?
     4847  grep -v '^ *+' conftest.er1 >conftest.err
     4848  rm -f conftest.er1
     4849  cat conftest.err >&5
     4850  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4851  (exit $ac_status); } &&
     4852         { ac_try='test -z "$ac_c_werror_flag"
     4853                         || test ! -s conftest.err'
     4854  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4855  (eval $ac_try) 2>&5
     4856  ac_status=$?
     4857  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4858  (exit $ac_status); }; } &&
     4859         { ac_try='test -s conftest.$ac_objext'
     4860  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4861  (eval $ac_try) 2>&5
     4862  ac_status=$?
     4863  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4864  (exit $ac_status); }; }; then
     4865  ac_header_compiler=yes
     4866else
     4867  echo "$as_me: failed program was:" >&5
     4868sed 's/^/| /' conftest.$ac_ext >&5
     4869
     4870ac_header_compiler=no
     4871fi
     4872rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4873echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4874echo "${ECHO_T}$ac_header_compiler" >&6
     4875
     4876# Is the header present?
     4877echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4878echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4879cat >conftest.$ac_ext <<_ACEOF
     4880/* confdefs.h.  */
     4881_ACEOF
     4882cat confdefs.h >>conftest.$ac_ext
     4883cat >>conftest.$ac_ext <<_ACEOF
     4884/* end confdefs.h.  */
     4885#include <$ac_header>
     4886_ACEOF
     4887if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4888  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4889  ac_status=$?
     4890  grep -v '^ *+' conftest.er1 >conftest.err
     4891  rm -f conftest.er1
     4892  cat conftest.err >&5
     4893  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4894  (exit $ac_status); } >/dev/null; then
     4895  if test -s conftest.err; then
     4896    ac_cpp_err=$ac_c_preproc_warn_flag
     4897    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4898  else
     4899    ac_cpp_err=
     4900  fi
     4901else
     4902  ac_cpp_err=yes
     4903fi
     4904if test -z "$ac_cpp_err"; then
     4905  ac_header_preproc=yes
     4906else
     4907  echo "$as_me: failed program was:" >&5
     4908sed 's/^/| /' conftest.$ac_ext >&5
     4909
     4910  ac_header_preproc=no
     4911fi
     4912rm -f conftest.err conftest.$ac_ext
     4913echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     4914echo "${ECHO_T}$ac_header_preproc" >&6
     4915
     4916# So?  What about this header?
     4917case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     4918  yes:no: )
     4919    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     4920echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     4921    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     4922echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     4923    ac_header_preproc=yes
     4924    ;;
     4925  no:yes:* )
     4926    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     4927echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     4928    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     4929echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     4930    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     4931echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     4932    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     4933echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     4934    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     4935echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     4936    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     4937echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     4938    (
     4939      cat <<\_ASBOX
     4940## ------------------------------------------- ##
     4941## Report this to orxonox-dev@mail.datacore.ch ##
     4942## ------------------------------------------- ##
     4943_ASBOX
     4944    ) |
     4945      sed "s/^/$as_me: WARNING:     /" >&2
     4946    ;;
     4947esac
     4948echo "$as_me:$LINENO: checking for $ac_header" >&5
     4949echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4950if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4951  echo $ECHO_N "(cached) $ECHO_C" >&6
     4952else
     4953  eval "$as_ac_Header=\$ac_header_preproc"
     4954fi
     4955echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4956echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4957
     4958fi
     4959if test `eval echo '${'$as_ac_Header'}'` = yes; then
     4960  cat >>confdefs.h <<_ACEOF
     4961#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     4962_ACEOF
     4963
     4964else
     4965  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     4966echo "$as_me: error: cannot find opengl headers" >&2;}
     4967   { (exit 1); exit 1; }; }
     4968fi
     4969
     4970done
     4971
    46694972
    46704973#  checking for Unix GL
Note: See TracChangeset for help on using the changeset viewer.